Opened 3 years ago

Closed 2 years ago

#998 closed Bug (fixed)

Crash report 2019-05-23

Reported by: no-reply@… Owned by:
Priority: Unclassified Milestone: CrypTool 2.1 - Release 2018.3
Component: General Keywords:
Cc:

Description

Title: Crash report
Exception at 2019/5/23 11:40:40 (UTC time).
User message:

-
Exception:
System.IndexOutOfRangeException: 玢匕è¶
出了数组界限。
   圚 Cryptool.Enigma.Rotor2.alpha(Int32 offset, Int32 ringoffset)
   圚 Cryptool.Enigma.Rotor2..ctor(Int32 version, Int32 map, Double width, Double height, Int32 offset, Int32 ringoffset)
   圚 Cryptool.Enigma.EnigmaPresentation.setRotor(Int32 position)
   圚 Cryptool.Enigma.EnigmaPresentation.resetkey()
   圚 Cryptool.Enigma.EnigmaPresentation.<stopclick>b__31(Object param0)
   圚 System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
   圚 System.Windows.Threading.ExceptionWrapper.TryCatchWhen(Object source, Delegate callback, Object args, Int32 numArgs, Delegate catchHandler)
   圚 System.Windows.Threading.DispatcherOperation.InvokeImpl()
   圚 System.Windows.Threading.DispatcherOperation.InvokeInSecurityContext(Object state)
   圚 MS.Internal.CulturePreservingExecutionContext.CallbackWrapper(Object obj)
   圚 System.Threading.ExecutionContext.RunInternal(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   圚 System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   圚 System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state)
   圚 MS.Internal.CulturePreservingExecutionContext.Run(CulturePreservingExecutionContext executionContext, ContextCallback callback, Object state)
   圚 System.Windows.Threading.DispatcherOperation.Invoke()
   圚 System.Windows.Threading.Dispatcher.ProcessQueue()
   圚 System.Windows.Threading.Dispatcher.WndProcHook(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   圚 MS.Win32.HwndWrapper.WndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   圚 MS.Win32.HwndSubclass.DispatcherCallbackOperation(Object o)
   圚 System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
   圚 System.Windows.Threading.ExceptionWrapper.TryCatchWhen(Object source, Delegate callback, Object args, Int32 numArgs, Delegate catchHandler)
   圚 System.Windows.Threading.Dispatcher.LegacyInvokeImpl(DispatcherPriority priority, TimeSpan timeout, Delegate method, Object args, Int32 numArgs)
   圚 MS.Win32.HwndSubclass.SubclassWndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam)
   圚 MS.Win32.UnsafeNativeMethods.DispatchMessage(MSG& msg)
   圚 System.Windows.Threading.Dispatcher.PushFrameImpl(DispatcherFrame frame)
   圚 System.Windows.Threading.Dispatcher.PushFrame(DispatcherFrame frame)
   圚 System.Windows.Threading.DispatcherOperation.Wait(TimeSpan timeout)
   圚 System.Windows.Threading.Dispatcher.InvokeImpl(DispatcherOperation operation, CancellationToken cancellationToken, TimeSpan timeout)
   圚 System.Windows.Threading.Dispatcher.LegacyInvokeImpl(DispatcherPriority priority, TimeSpan timeout, Delegate method, Object args, Int32 numArgs)
   圚 Cryptool.Enigma.EnigmaPresentation.stopclick(Object sender, EventArgs e)
   圚 Cryptool.Enigma.EnigmaPresentation.<>c__DisplayClass2e.<disablePresentation>b__2d(Object param0)
   圚 System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
   圚 System.Windows.Threading.ExceptionWrapper.TryCatchWhen(Object source, Delegate callback, Object args, Int32 numArgs, Delegate catchHandler)
   圚 System.Windows.Threading.DispatcherOperation.InvokeImpl()
   圚 System.Windows.Threading.DispatcherOperation.InvokeInSecurityContext(Object state)
   圚 MS.Internal.CulturePreservingExecutionContext.CallbackWrapper(Object obj)
   圚 System.Threading.ExecutionContext.RunInternal(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   圚 System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   圚 System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state)
   圚 MS.Internal.CulturePreservingExecutionContext.Run(CulturePreservingExecutionContext executionContext, ContextCallback callback, Object state)
   圚 System.Windows.Threading.DispatcherOperation.Invoke()
   圚 System.Windows.Threading.Dispatcher.ProcessQueue()
   圚 System.Windows.Threading.Dispatcher.WndProcHook(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   圚 MS.Win32.HwndWrapper.WndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   圚 MS.Win32.HwndSubclass.DispatcherCallbackOperation(Object o)
   圚 System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
   圚 System.Windows.Threading.ExceptionWrapper.TryCatchWhen(Object source, Delegate callback, Object args, Int32 numArgs, Delegate catchHandler)
   圚 System.Windows.Threading.Dispatcher.LegacyInvokeImpl(DispatcherPriority priority, TimeSpan timeout, Delegate method, Object args, Int32 numArgs)
   圚 MS.Win32.HwndSubclass.SubclassWndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam)
   圚 MS.Win32.UnsafeNativeMethods.DispatchMessage(MSG& msg)
   圚 System.Windows.Threading.Dispatcher.PushFrameImpl(DispatcherFrame frame)
   圚 System.Windows.Threading.Dispatcher.PushFrame(DispatcherFrame frame)
   圚 System.Windows.Threading.DispatcherOperation.Wait(TimeSpan timeout)
   圚 System.Windows.Threading.Dispatcher.InvokeImpl(DispatcherOperation operation, CancellationToken cancellationToken, TimeSpan timeout)
   圚 System.Windows.Threading.Dispatcher.LegacyInvokeImpl(DispatcherPriority priority, TimeSpan timeout, Delegate method, Object args, Int32 numArgs)
   圚 Cryptool.Enigma.EnigmaPresentation.disablePresentation(Boolean isrunning, Boolean isvisible)
   圚 Cryptool.Enigma.EnigmaPresentationFrame.<>c__DisplayClass7.<ChangeStatus>b__6(Object param0)
   圚 System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
   圚 System.Windows.Threading.ExceptionWrapper.TryCatchWhen(Object source, Delegate callback, Object args, Int32 numArgs, Delegate catchHandler)
   圚 System.Windows.Threading.DispatcherOperation.InvokeImpl()
   圚 System.Windows.Threading.DispatcherOperation.InvokeInSecurityContext(Object state)
   圚 MS.Internal.CulturePreservingExecutionContext.CallbackWrapper(Object obj)
   圚 System.Threading.ExecutionContext.RunInternal(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   圚 System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   圚 System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state)
   圚 MS.Internal.CulturePreservingExecutionContext.Run(CulturePreservingExecutionContext executionContext, ContextCallback callback, Object state)
   圚 System.Windows.Threading.DispatcherOperation.Invoke()
   圚 System.Windows.Threading.Dispatcher.ProcessQueue()
   圚 System.Windows.Threading.Dispatcher.WndProcHook(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   圚 MS.Win32.HwndWrapper.WndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   圚 MS.Win32.HwndSubclass.DispatcherCallbackOperation(Object o)
   圚 System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
   圚 System.Windows.Threading.ExceptionWrapper.TryCatchWhen(Object source, Delegate callback, Object args, Int32 numArgs, Delegate catchHandler)
   圚 System.Windows.Threading.Dispatcher.LegacyInvokeImpl(DispatcherPriority priority, TimeSpan timeout, Delegate method, Object args, Int32 numArgs)
   圚 MS.Win32.HwndSubclass.SubclassWndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam)
   圚 MS.Win32.UnsafeNativeMethods.DispatchMessage(MSG& msg)
   圚 System.Windows.Threading.Dispatcher.PushFrameImpl(DispatcherFrame frame)
   圚 System.Windows.Threading.Dispatcher.PushFrame(DispatcherFrame frame)
   圚 System.Windows.Application.RunDispatcher(Object ignore)
   圚 System.Windows.Application.RunInternal(Window window)
   圚 System.Windows.Application.Run(Window window)
   圚 Cryptool.CrypWin.App.Main()

-
System infos:
Operating System: Windows 10 Home China  (6.3.17134)
Processorname: Intel(R) Core(TM) i7-6500U CPU @ 2.50GHz
Processors: 4
Administrative Rights: False
Current culture: zh-CN
CrypTool version: 2.1.7997.1
Installation type: NSIS
Build type: Stable
Build time: 2018/12/19 21:26:36
Product name: CrypTool 2.1 (Stable Build 7997.1)
Common language runtime version: 4.0.30319.42000
System time: 19:40
Command line: "E:\工䜜蜯件\密码孊\CrypTool 2\CrypWin.exe" "C:\Users\yu\Desktop\5.22媒䜓安å
š\Frequency Analysis.cwm"


Change History (1)

comment:1 Changed 2 years ago by kopal

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.